Index: lib/style/skins/nceas/search.js
===================================================================
--- lib/style/skins/nceas/search.js	(revision 8097)
+++ lib/style/skins/nceas/search.js	(revision 8098)
@@ -1,69 +1,199 @@
-/**
- * Performs the search 
- */
-function doSearch(serviceURL, searchFormId, browseAll) {
-	var solrQuery = getSolrQuery(searchFormId);
-	//alert(solrQuery);
-	var url = serviceURL + "/" + solrQuery;
-	// go directly there!
-	document.location = url;
+function trim(stringToTrim) {
+    return stringToTrim.replace(/^\s*/, '').replace(/\s*$/,'');
 }
 
-/**
- * Constructs the SOLR query to use
- */
-function getSolrQuery(searchFormId, browseAll) {
-	var submitFormObj = document.getElementById(searchFormId);
+function checkSearch(submitFormObj) {
     var searchString = trim(submitFormObj.searchstring.value);
-    if (browseAll) {
-    	searchString = "";
-    }
-    var qformat = submitFormObj.qformat.value;
+    var checkBox = document.getElementById("searchAll");
 
     if (searchString=="") {
-        if (confirm("Show *all* data?")) {
-            searchString = "*";
+        if (confirm("Show *all* data in the KNB?")) {
+            searchString = "%";
         } else {
             return false;
         }
     }
 
-    var formats = 
-    	"("
-        +"formatId: \"eml\\://ecoinformatics.org/eml-2.1.1\""
-        +" OR "
-        +"formatId: \"eml\\://ecoinformatics.org/eml-2.1.0\""
-        +" OR "
-        +"formatId: \"eml\\://ecoinformatics.org/eml-2.0.1\""
-        +" OR "
-        +"formatId: \"eml\\://ecoinformatics.org/eml-2.0.0\""
-        +" OR "
-        +"formatId: \"-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN\""
-        +" OR "
-        +"formatId: \"-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN\""
-        +" OR "
-        +"formatId: \"-//NCEAS//resource//EN\""
-        +" OR "
-        +"formatId: \"-//NCEAS//eml-dataset//EN\""
-        +" OR "
-        +"formatId: \"metadata\""
-    	+")";
-    
-	var solrQuery = "q="
-		+ searchString
-		+" AND "
-    	+ formats
-    	+" AND "         
-    	+"("
-            +"contactOrganization: \"National Center for Ecological Analysis and Synthesis\""	                    
-        +")"
-        +"&wt=" + qformat;
-    	
-    	solrQuery = encodeURIComponent(solrQuery);
-    
-    return solrQuery;
+    if (!checkBox.checked && searchString!="%") {
+        submitFormObj.query.value = "<pathquery version=\"1.2\">"
+            +"<querytitle>Web-Search</querytitle>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.1.1</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.1.0</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.0.1</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.0.0</returndoctype>"
+            +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN</returndoctype>"
+            +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN</returndoctype>"
+            +"<returndoctype>-//NCEAS//resource//EN</returndoctype>"
+            +"<returndoctype>-//NCEAS//eml-dataset//EN</returndoctype>"
+            +"<returndoctype>metadata</returndoctype>"
+            +"<returnfield>originator/individualName/surName</returnfield>"
+            +"<returnfield>originator/individualName/givenName</returnfield>"
+            +"<returnfield>creator/individualName/surName</returnfield>"
+            +"<returnfield>creator/individualName/givenName</returnfield>"
+            +"<returnfield>originator/organizationName</returnfield>"
+            +"<returnfield>creator/organizationName</returnfield>"
+            +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
+            +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
+            //fgdc fields
+            +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
+            +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
+			+"<returnfield>idinfo/keywords/theme/themekey</returnfield>"
+            +"<querygroup operator=\"INTERSECT\">"
+            	+"<querygroup operator=\"UNION\">"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
+	                    +"<pathexpr>organizationName</pathexpr>"
+	                +"</queryterm>"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    //+"<value>%</value>"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"	                    
+	                    +"<pathexpr>placekey</pathexpr>"
+	                +"</queryterm>"
+                +"</querygroup>"
+                +"<querygroup operator=\"UNION\">"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>surName</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>givenName</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>keyword</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>keyword/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>para</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>geographicDescription</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>literalLayout</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>title</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>title/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>@packageId</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>abstract/para</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>abstract/para/value</pathexpr>"
+	                +"</queryterm>"
+                    
+                    //FGDC fields
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>abstract</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>idinfo/citation/citeinfo/title</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>idinfo/citation/citeinfo/origin</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>idinfo/keywords/theme/themekey</pathexpr>"
+                    +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                        +"<value>" + searchString + "</value>"
+                        +"<pathexpr>placekey</pathexpr>"
+                    +"</queryterm>"
+                +"</querygroup>"
+            +"</querygroup>"
+            +"</pathquery>";
+
+    } else {
+        queryTermString = "";
+        if (searchString != "%"){
+            queryTermString = "<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                  +"<value>" + searchString + "</value>"
+                              +"</queryterm>";
+        }
+        submitFormObj.query.value = "<pathquery version=\"1.2\">"
+            +"<querytitle>Web-Search</querytitle>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.1.1</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.1.0</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.0.1</returndoctype>"
+            +"<returndoctype>eml://ecoinformatics.org/eml-2.0.0</returndoctype>"
+            +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN</returndoctype>"
+            +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN</returndoctype>"
+            +"<returndoctype>-//NCEAS//resource//EN</returndoctype>"
+            +"<returndoctype>-//NCEAS//eml-dataset//EN</returndoctype>"
+            +"<returndoctype>metadata</returndoctype>"
+            +"<returnfield>originator/individualName/surName</returnfield>"
+            +"<returnfield>originator/individualName/givenName</returnfield>"
+            +"<returnfield>creator/individualName/surName</returnfield>"
+            +"<returnfield>creator/individualName/givenName</returnfield>"
+            +"<returnfield>originator/organizationName</returnfield>"
+            +"<returnfield>creator/organizationName</returnfield>"
+            +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
+            +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
+            //fgdc fields
+            +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
+            +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
+			+"<returnfield>idinfo/keywords/theme/themekey</returnfield>"
+            +"<querygroup operator=\"INTERSECT\">"
+                +"<querygroup operator=\"UNION\">"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
+	                    +"<pathexpr>organizationName</pathexpr>"
+	                +"</queryterm>"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    //+"<value>%</value>"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"	                    
+	                    +"<pathexpr>placekey</pathexpr>"
+	                +"</queryterm>"
+                +"</querygroup>"
+                + queryTermString
+            +"</querygroup>"
+            +"</pathquery>";
+
+    }
+    return true;
 }
 
-function trim(stringToTrim) {
-    return stringToTrim.replace(/^\s*/, '').replace(/\s*$/,'');
+function browseAll(searchFormId) {
+	var searchForm = document.getElementById(searchFormId);
+	var searchString = searchForm.searchstring;
+    var checkBox = document.getElementById("searchAll");
+    searchString.value="";
+    checkBox.checked = true;
+    if (checkSearch(searchForm)) {
+		searchForm.submit();
+	}
+
 }
+
+function searchAll(){
+    var checkBox = document.getElementById("searchCheckBox");
+    if (checkBox.checked == true) {
+        alert("You have selected to search all possible existing fields. This search will take longer.");
+    }
+}
Index: lib/style/skins/nceas/nceas.xml
===================================================================
--- lib/style/skins/nceas/nceas.xml	(revision 8097)
+++ lib/style/skins/nceas/nceas.xml	(revision 8098)
@@ -3,11 +3,6 @@
 <!-- general login & search -->
   <default-style>/style/common/ascii-treeview.xsl</default-style>
 
-	<!-- rendered SOLR results -->
-	<doctype publicid="solr">
-		<target publicid="-//W3C//HTML//EN">/style/skins/nceas/nceas.xsl</target>
-	</doctype>
-
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/nceas/nceas.xsl</target>
   </doctype>
@@ -18,7 +13,18 @@
     <!-- <target publicid="-//W3C//HTML//EN">/style/common/fgdc/fgdc_1.xsl</target>-->
   </doctype>
 
+<!--
+    ARE THESE STILL NEEDED????????????
+
   <doctype publicid="-//NCEAS//login//EN">
+    <target publicid="-//W3C//HTML//EN">/style/common/login.xsl</target>
+  </doctype>
+
+  <doctype publicid="-//NCEAS//eml-generic//EN">
+    <target publicid="-//W3C//HTML//EN">/style/common/generic-morpho.xsl</target>
+  </doctype>
+-->
+  <doctype publicid="-//NCEAS//login//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/nceas/nceas-login.xsl</target>
   </doctype>
 
Index: lib/style/skins/nceas/nceas.xsl
===================================================================
--- lib/style/skins/nceas/nceas.xsl	(revision 8097)
+++ lib/style/skins/nceas/nceas.xsl	(revision 8098)
@@ -32,7 +32,6 @@
                 xmlns:eml="eml://ecoinformatics.org/eml-2.0.1" 
 	            version="1.0">
     <xsl:import href="../../common/resultset-table.xsl"/>
-    <xsl:import href="../../common/resultset-table-solr.xsl"/>
     <!-- xsl:import href="../../common/eml-2.0.1/emlroot.xsl"/ -->
     <xsl:import href="../../common/eml-2/emlroot.xsl"/>
     <xsl:import href="../../common/fgdc/fgdc-root.xsl"/>
@@ -54,10 +53,6 @@
                             <xsl:call-template name="emldocument"/>
                         </xsl:if>
                         
-                        <xsl:if test="*[local-name()='response']">     	
-                            <xsl:call-template name="resultstablesolr"/>
-                        </xsl:if>
-                        
                         <xsl:if test="*[local-name()='resultset']">     	
                             <xsl:call-template name="resultstable"/>
                         </xsl:if>
Index: lib/style/skins/nceas/index.jsp
===================================================================
--- lib/style/skins/nceas/index.jsp	(revision 8097)
+++ lib/style/skins/nceas/index.jsp	(revision 8098)
@@ -38,7 +38,7 @@
   <script language="JavaScript" type="text/JavaScript"
           src="<%=STYLE_SKINS_URL%>/nceas/nceas.js"></script>
   <script language="JavaScript" type="text/JavaScript"
-          src="<%=STYLE_COMMON_URL%>/branding.js"></script>           
+          src="<%=STYLE_COMMON_URL%>/branding.js"></script>
   <script type="text/javascript" 
           src="<%=STYLE_SKINS_URL%>/nceas/navigation.js"></script>
   <script type="text/javascript"
@@ -78,39 +78,47 @@
   <tr class="sectheader">
     <td class="borderbottom"><a name="search" ></a>
         <p align="center" class="largetext"> Search for Data Sets </p></td>
-  </tr> 
-  <tr>
+  </tr>
+  <tr class="sectbody"></tr>
+ 
+  <tr >
     <td align="left">
-    	<form id="searchForm" name="searchForm"
-    		action="javascript:doSearch('<%=CONTEXT_URL%>/d1/mn/v1/query/solr', 'searchForm', true)" >
-	        <div class="searchresultsdividerPale">
-	        <p>
-				&nbsp;
-		        <input size="14" name="searchstring" type="text" value="" id="searchBox">
-		        <input name="qformat" value="nceas" type="hidden">
-		        <input value="Search" type="submit">
-		        </p>
-	        </div>
+    <form method="POST" 
+    	action="<%=SERVLET_URL%>" target="_top"
+    	id="searchForm" name="searchForm" 
+    	onSubmit="return checkSearch(this)">
+        <div class="searchresultsdividerPale">
+        <p>
+        <input value="UNION" name="operator" type="hidden">
+&nbsp;
+        <input size="14" name="searchstring" type="text" value="" id="searchBox">
+        <input name="query" type="hidden">
+        <input name="qformat" value="nceas" type="hidden">
+        <input name="enableediting" value="true" type="hidden">
+        <input type="hidden" name="action" value="squery">
+        <input value="Search" type="submit">
+        </p>
+        <p>
+        <input name="search" type="radio" checked>
+        Search Title, Abstract, Keywords, Personnel (Quicker) <br>
+        <input name="search" type="radio" id="searchAll">
+        Search all fields (Slower) <br>
+        </p>
+        </div>
         </form> 
-      </td>
+        <div align="center">
+          <p align="left">This tool allows you to search the registry for data sets of interest. When you type text in the box and click on the "Search" button, the search will only be conducted within the title, author, abstract, and keyword fields. Checking the "Search All Fields" box will search on these and all other existing fields (this search will take more time). <br>
+                <br>
+          You can use the '%' character as a wildcard in your searches (e.g., '%biodiversity%' would locate any phrase with the word biodiversity embedded within it). </p>
+      </div></td>
   </tr>
   <tr >
-    <td class="borderbottom">
-		<div align="center">
-          <p align="left">
-          You can use the '%' character as a wildcard in your searches (e.g., '%biodiversity%' would locate any phrase with the word biodiversity embedded within it). </p>
-		</div>
-		<div align="center">
-	    	<a href="javascript:doSearch('<%=CONTEXT_URL%>/d1/mn/v1/query/solr', 'searchForm', true)">Browse existing NCEAS data sets</a>
-			<br/><br/>
-			<a href="<%=STYLE_SKINS_URL%>/nceas/map.jsp"> View Interactive Map </a>
-		</div>
-	</td>
-  </tr>
-</table>
-
+    <td class="borderbottom"><div align="center">
+    	<a href="javascript:browseAll('searchForm')">Browse existing NCEAS data sets</a>
+<br/><br/>
+<a href="<%=STYLE_SKINS_URL%>/nceas/map.jsp"> View Interactive Map </a> </div>
+</td></tr></table>
 <br><br>
-
 <table class="tables regular" cellpadding="8" cellspacing="0">
   <tr class="sectheader">
     <td class="borderbottom" colspan="2" align="left"><span class="label"> </span>