Index: lib/metacat.properties.metadata.xml
===================================================================
--- lib/metacat.properties.metadata.xml	(revision 8222)
+++ lib/metacat.properties.metadata.xml	(revision 8223)
@@ -317,6 +317,17 @@
 		<helpFile>docs/metacat-properties.html#application-solr-home</helpFile>
 	</config>
 	
+	<config>
+		<key>ui.context</key>
+		<label>UI Context</label>
+		<group>3</group>
+		<index>12</index>
+		<description>
+			The context name for the deployed Metacat UI webapp.
+		</description>
+		<helpFile>docs/metacat-properties.html#ui-context</helpFile>
+	</config>
+	
 	<!-- START Data Manager configuration -->
 	<config>
 		<key>datamanager.server</key>
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 8222)
+++ lib/metacat.properties	(revision 8223)
@@ -22,7 +22,7 @@
 ############### Application Values ############
 
 ## one of the few places where we use ANT tokens
-application.metacatVersion=2.1.1
+application.metacatVersion=2.2.0
 application.metacatReleaseInfo=-1
 
 application.deployDir=
@@ -82,6 +82,7 @@
 database.upgradeVersion.2.0.8=upgrade-db-to-2.0.8
 database.upgradeVersion.2.1.0=upgrade-db-to-2.1.0
 database.upgradeVersion.2.1.1=upgrade-db-to-2.1.1
+database.upgradeVersion.2.2.0=upgrade-db-to-2.2.0
 ## for running java-based utilities
 database.upgradeUtility.1.5.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_5_0
 database.upgradeUtility.2.0.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade2_0_0
@@ -381,6 +382,10 @@
 ######## Skins  #########################################
 
 skin.names=default,metacatui,nceas,esa,knb,kepler,lter,ltss,obfs,nrs,sanparks,saeon,first,parc,dataone
+
+############# UI Section ###########################################
+ui.context=metacatui
+
 ######## Document Section  #########################################
 
 #The flag to indicate if invalidated eml 201 documents were corrected.
@@ -636,3 +641,4 @@
 #solr.systeminfo.urlappendix=/admin/system
 #Solr-home for the http solr server is used to store some files. It can be not really solr home.
 #solr.homeDir=/var/metacat/solr-home
+
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 8222)
+++ src/loaddtdschema-postgres.sql	(revision 8223)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.1.1',1,CURRENT_DATE);
+  VALUES ('2.2.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-2.2.0-oracle.sql
===================================================================
--- src/upgrade-db-to-2.2.0-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.2.0-oracle.sql	(revision 8223)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.2.0', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.2.0-oracle.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 8222)
+++ src/loaddtdschema-oracle.sql	(revision 8223)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd'); 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.1.1',1,CURRENT_DATE);
+  VALUES ('2.2.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-2.2.0-postgres.sql
===================================================================
--- src/upgrade-db-to-2.2.0-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.2.0-postgres.sql	(revision 8223)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.2.0', 1, CURRENT_DATE);
\ No newline at end of file

Property changes on: src/upgrade-db-to-2.2.0-postgres.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: docs/user/metacat/source/conf.py
===================================================================
--- docs/user/metacat/source/conf.py	(revision 8222)
+++ docs/user/metacat/source/conf.py	(revision 8223)
@@ -45,9 +45,9 @@
 # built documents.
 #
 # The short X.Y version.
-version = '2.0'
+version = '2.2'
 # The full version, including alpha/beta/rc tags.
-release = '2.1.1'
+release = '2.2.0'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
Index: docs/user/metacat/source/install.rst
===================================================================
--- docs/user/metacat/source/install.rst	(revision 8222)
+++ docs/user/metacat/source/install.rst	(revision 8223)
@@ -83,7 +83,7 @@
 Downloading the Metacat Installer is the simplest way to get started with the
 application. To download the installer: 
 
-1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.1.1) 
+1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.2.0) 
 2.  Save the file locally. 
 3.  Extract the Metacat package files by typing:
 
@@ -115,7 +115,7 @@
 ............................
 To get the Metacat source distribution:
 
-1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.1.1).
+1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.2.0).
 2. Save the file locally. 
 3. Extract the Metacat package files by typing (replace X.X.X with the current version number): 
 
Index: docs/user/metacat/source/index.rst
===================================================================
--- docs/user/metacat/source/index.rst	(revision 8222)
+++ docs/user/metacat/source/index.rst	(revision 8223)
@@ -2,7 +2,7 @@
 Metacat Administrator's Guide
 =============================
 
-.. sidebar:: Version: 2.1.1
+.. sidebar:: Version: 2.2.0
 
     .. image:: themes/metacatui/static/metacat-logo-darkgray.png
        :height: 130pt
@@ -13,7 +13,7 @@
 
     License: GPL
     
-    Release Date: July, 2013
+    Release Date: September, 2013
 
 Metacat is a repository for data and metadata (documentation about data) that helps 
 scientists find, understand and effectively use data sets they manage or that 
@@ -26,11 +26,11 @@
 - Download Metacat
 
     - Binary Distribution (A war file installation)
-        - GZIP File: metacat-bin-2.1.1.tar.gz_
-        - ZIP File: metacat-bin-2.1.1.zip_
+        - GZIP File: metacat-bin-2.2.0.tar.gz_
+        - ZIP File: metacat-bin-2.2.0.zip_
     - Source Distribution (Full source, requiring build)
-        - GZIP File: metacat-src-2.1.1.tar.gz_
-        - ZIP File: metacat-src-2.1.1.zip_
+        - GZIP File: metacat-src-2.2.0.tar.gz_
+        - ZIP File: metacat-src-2.2.0.zip_
     - `Older versions`_
     
 - For Developers: Metacat `API documentation`_
@@ -39,13 +39,13 @@
 
 .. _API documentation: ./api/index.html
 
-.. _metacat-bin-2.1.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.1.1.tar.gz
+.. _metacat-bin-2.2.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.2.0.tar.gz
 
-.. _metacat-bin-2.1.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.1.1.zip
+.. _metacat-bin-2.2.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.2.0.zip
 
-.. _metacat-src-2.1.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.1.1.tar.gz
+.. _metacat-src-2.2.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.2.0.tar.gz
 
-.. _metacat-src-2.1.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.1.1.zip
+.. _metacat-src-2.2.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.2.0.zip
 
 .. _Older versions: http://knb.ecoinformatics.org/software/dist/
 
Index: build.properties
===================================================================
--- build.properties	(revision 8222)
+++ build.properties	(revision 8223)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=2.1.1
+metacat.version=2.2.0
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=
Index: pom.xml
===================================================================
--- pom.xml	(revision 8222)
+++ pom.xml	(revision 8223)
@@ -4,7 +4,7 @@
     <modelVersion>4.0.0</modelVersion>
     <groupId>org.ecoinformatics</groupId>
     <artifactId>metacat</artifactId>
-    <version>2.1.1</version>
+    <version>2.2.0</version>
     <name>metacat</name>
     <packaging>war</packaging>
     <url>http://maven.apache.org</url>
Index: README
===================================================================
--- README	(revision 8222)
+++ README	(revision 8223)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------                      
 
-Version: 2.1.1 Release
+Version: 2.2.0 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
                            http://bugzilla.ecoinformatics.org
@@ -30,6 +30,7 @@
               Chris Barteau (barteau@nceas.ucsb.edu)
               Shaun Walbridge (walbridge@nceas.ucsb.edu)
               Michael Daigle (daigle@nceas.ucsb.edu) 
+              Lauren Walker (walker@nceas.ucsb.edu) 
 
 Patch contributors:
               Andrea Chadden (chadden@nceas.ucsb.edu)
@@ -53,6 +54,11 @@
 See the file "docs/install.html" for detailed instructions
 for your OS.
 
+Release Notes for 2.2.0:
+------------------------
+This is a major release of Metacat that includes a new customizable UI and 
+improved LDAP account management features
+
 Release Notes for 2.1.1:
 ------------------------
 This is a minor patch release of Metacat that addresses