Index: metacat-index/pom.xml
===================================================================
--- metacat-index/pom.xml	(revision 8439)
+++ metacat-index/pom.xml	(revision 8440)
@@ -4,7 +4,7 @@
 	<groupId>edu.ucsb.nceas.metacat.index</groupId>
 	<artifactId>metacat-index</artifactId>
 	<packaging>war</packaging>
-	<version>2.3.0</version>
+	<version>2.3.1</version>
 	<name>metacat-index</name>
 	<url>http://maven.apache.org</url>
 
@@ -32,7 +32,7 @@
 		<dependency>
 			<groupId>edu.ucsb.nceas.metacat.common</groupId>
 			<artifactId>metacat-common</artifactId>
-			<version>2.3.0</version>
+			<version>2.3.1</version>
 			<type>jar</type>
 		</dependency>
 		<dependency>
Index: metacat-common/pom.xml
===================================================================
--- metacat-common/pom.xml	(revision 8439)
+++ metacat-common/pom.xml	(revision 8440)
@@ -4,7 +4,7 @@
 	<groupId>edu.ucsb.nceas.metacat.common</groupId>
 	<artifactId>metacat-common</artifactId>
 	<packaging>jar</packaging>
-	<version>2.3.0</version>
+	<version>2.3.1</version>
 	<name>metacat-common</name>
 	<url>http://maven.apache.org</url>
 	<properties>
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 8439)
+++ lib/metacat.properties	(revision 8440)
@@ -22,7 +22,7 @@
 ############### Application Values ############
 
 ## one of the few places where we use ANT tokens
-application.metacatVersion=2.3.0
+application.metacatVersion=2.3.1
 application.metacatReleaseInfo=-1
 
 application.deployDir=
@@ -85,6 +85,7 @@
 database.upgradeVersion.2.2.0=upgrade-db-to-2.2.0
 database.upgradeVersion.2.2.1=upgrade-db-to-2.2.1
 database.upgradeVersion.2.3.0=upgrade-db-to-2.3.0
+database.upgradeVersion.2.3.1=upgrade-db-to-2.3.1
 ## for running java-based utilities
 database.upgradeUtility.1.5.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_5_0
 database.upgradeUtility.2.0.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade2_0_0
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 8439)
+++ src/loaddtdschema-postgres.sql	(revision 8440)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.3.0',1,CURRENT_DATE);
+  VALUES ('2.3.1',1,CURRENT_DATE);
Index: src/upgrade-db-to-2.3.1-oracle.sql
===================================================================
--- src/upgrade-db-to-2.3.1-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.3.1-oracle.sql	(revision 8440)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.3.1', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.3.1-oracle.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 8439)
+++ src/loaddtdschema-oracle.sql	(revision 8440)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd'); 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.3.0',1,CURRENT_DATE);
+  VALUES ('2.3.1',1,CURRENT_DATE);
Index: src/upgrade-db-to-2.3.1-postgres.sql
===================================================================
--- src/upgrade-db-to-2.3.1-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.3.1-postgres.sql	(revision 8440)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.3.1', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.3.1-postgres.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: docs/user/metacat/source/conf.py
===================================================================
--- docs/user/metacat/source/conf.py	(revision 8439)
+++ docs/user/metacat/source/conf.py	(revision 8440)
@@ -47,7 +47,7 @@
 # The short X.Y version.
 version = '2.3'
 # The full version, including alpha/beta/rc tags.
-release = '2.3.0'
+release = '2.3.1'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
Index: docs/user/metacat/source/install.rst
===================================================================
--- docs/user/metacat/source/install.rst	(revision 8439)
+++ docs/user/metacat/source/install.rst	(revision 8440)
@@ -83,7 +83,7 @@
 Downloading the Metacat Installer is the simplest way to get started with the
 application. To download the installer: 
 
-1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.3.0) 
+1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.3.1) 
 2.  Save the file locally. 
 3.  Extract the Metacat package files by typing:
 
@@ -115,7 +115,7 @@
 ............................
 To get the Metacat source distribution:
 
-1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.3.0).
+1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.3.1).
 2. Save the file locally. 
 3. Extract the Metacat package files by typing (replace X.X.X with the current version number): 
 
Index: docs/user/metacat/source/index.rst
===================================================================
--- docs/user/metacat/source/index.rst	(revision 8439)
+++ docs/user/metacat/source/index.rst	(revision 8440)
@@ -2,7 +2,7 @@
 Metacat Administrator's Guide
 =============================
 
-.. sidebar:: Version: 2.3.0
+.. sidebar:: Version: 2.3.1
 
     .. image:: themes/metacatui/static/metacat-logo-darkgray.png
        :height: 130pt
@@ -26,11 +26,11 @@
 - Download Metacat
 
     - Binary Distribution (A war file installation)
-        - GZIP File: metacat-bin-2.3.0.tar.gz_
-        - ZIP File: metacat-bin-2.3.0.zip_
+        - GZIP File: metacat-bin-2.3.1.tar.gz_
+        - ZIP File: metacat-bin-2.3.1.zip_
     - Source Distribution (Full source, requiring build)
-        - GZIP File: metacat-src-2.3.0.tar.gz_
-        - ZIP File: metacat-src-2.3.0.zip_
+        - GZIP File: metacat-src-2.3.1.tar.gz_
+        - ZIP File: metacat-src-2.3.1.zip_
     - `Older versions`_
     
 - For Developers: Metacat `API documentation`_
@@ -39,13 +39,13 @@
 
 .. _API documentation: ./api/index.html
 
-.. _metacat-bin-2.3.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.0.tar.gz
+.. _metacat-bin-2.3.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.1.tar.gz
 
-.. _metacat-bin-2.3.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.0.zip
+.. _metacat-bin-2.3.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.1.zip
 
-.. _metacat-src-2.3.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.0.tar.gz
+.. _metacat-src-2.3.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.1.tar.gz
 
-.. _metacat-src-2.3.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.0.zip
+.. _metacat-src-2.3.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.1.zip
 
 .. _Older versions: http://knb.ecoinformatics.org/software/dist/
 
Index: build.properties
===================================================================
--- build.properties	(revision 8439)
+++ build.properties	(revision 8440)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=2.3.0
+metacat.version=2.3.1
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=
Index: pom.xml
===================================================================
--- pom.xml	(revision 8439)
+++ pom.xml	(revision 8440)
@@ -4,7 +4,7 @@
     <modelVersion>4.0.0</modelVersion>
     <groupId>org.ecoinformatics</groupId>
     <artifactId>metacat</artifactId>
-    <version>2.3.0</version>
+    <version>2.3.1</version>
     <name>metacat</name>
     <packaging>war</packaging>
     <url>http://maven.apache.org</url>
@@ -13,7 +13,7 @@
         <d1_libclient_version>1.2.4</d1_libclient_version>
         <d1_common_java_version>1.1.3</d1_common_java_version>
         <d1_portal_version>1.2.0</d1_portal_version>
-        <metacat_common_version>2.3.0</metacat_common_version>            
+        <metacat_common_version>2.3.1</metacat_common_version>            
     </properties>
     <repositories>
         <repository>
Index: README
===================================================================
--- README	(revision 8439)
+++ README	(revision 8440)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------                      
 
-Version: 2.3.0 Release
+Version: 2.3.1 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
                            http://bugzilla.ecoinformatics.org
@@ -54,6 +54,12 @@
 See the file "docs/install.html" for detailed instructions
 for your OS.
 
+Release Notes for 2.3.1:
+------------------------
+This is a minor patch release to fix an issue that arises when
+Metacat is operating as a DataONE Coordinating Node.
+See: https://projects.ecoinformatics.org/ecoinfo/issues/6315
+
 Release Notes for 2.3.0:
 ------------------------
 This release adds solr indexing features to metacat-index 