Index: lib/auth.properties.metadata.xml
===================================================================
--- lib/auth.properties.metadata.xml	(revision 8512)
+++ lib/auth.properties.metadata.xml	(revision 8513)
@@ -11,18 +11,47 @@
 	</group>
 	
 	<group>
-		<index>2</index>
-		<name>Authentication Client Configuration</name>
+        <index>2</index>
+        <name>File-based Authentication Configuration</name>
+        <description>Class edu.ucsb.nceas.metacat.authentication.AuthFile uses the configurations.</description>
+    </group>
+	
+	<group>
+        <index>3</index>
+        <name>LDAP Authentication Configuration</name>
+        <description>Class edu.ucsb.nceas.metacat.AuthLdap uses the configurations of an external LDAP server.</description>
+    </group>
+    
+    
+	
+	<!--<group>
+		<index>4</index>
+		<name>Authentication LDAP Client Configuration</name>
 		<description>Authentication Client Connection Values.  This is only necessary 
 		if you allow authentication password change and account creation functionality
 		from within Metacat.</description>
-	</group>
+	</group>-->
+	
+	<config>
+        <key>auth.administrators</key>
+        <label>Metacat Administrators</label>
+        <group>1</group>
+        <index>1</index>
+        <required>true</required>
+        <description>Authentication users or groups for Metacat administration. 
+            Typically, this holds LDAP credentials.
+            &lt;font color="red"&gt; Note: this must be set to a username or
+            group that you belong to in order to continue with 
+            configuration&lt;/font&gt;.</description>
+        <helpFile>docs/metacat-properties.html#auth-administrators</helpFile>
+        <isRequired>true</isRequired>
+    </config>
 
 	<config>
 		<key>auth.class</key>
 		<label>Authentication Class</label>
 		<group>1</group>
-		<index>1</index>
+		<index>2</index>
 		<required>true</required>
 		<description>Authentication Class.</description>
 		<helpFile>docs/metacat-properties.html#auth-class</helpFile>
@@ -29,20 +58,30 @@
 	</config>
 	
 	<config>
-		<key>auth.url</key>
-		<label>Authentication URL</label>
-		<group>1</group>
-		<index>2</index>
-		<required>true</required>
-		<description>Authentication Server URL.</description>
-		<helpFile>docs/metacat-properties.html#auth-url</helpFile>
-	</config>
+        <key>auth.file.path</key>
+        <label>Password File Path</label>
+        <group>2</group>
+        <index>1</index>
+        <required>true</required>
+        <description>Absolute path of the password file.</description>
+        <helpFile>docs/metacat-properties.html#auth.file.path</helpFile>
+    </config>
+	
+	<config>
+        <key>auth.url</key>
+        <label>Authentication URL</label>
+        <group>3</group>
+        <index>1</index>
+        <required>true</required>
+        <description>Authentication Server URL.</description>
+        <helpFile>docs/metacat-properties.html#auth-url</helpFile>
+    </config>
 
 	<config>
 		<key>auth.surl</key>
 		<label>Authentication Secure URL</label>
-		<group>1</group>
-		<index>3</index>
+		<group>3</group>
+		<index>2</index>
 		<required>true</required>
 		<description>Authentication Secure Server URL.</description>
 		<helpFile>docs/metacat-properties.html#auth-surl</helpFile>
@@ -51,32 +90,19 @@
 	<config>
 		<key>auth.base</key>
 		<label>Authentication Base</label>
-		<group>1</group>
-		<index>4</index>
+		<group>3</group>
+		<index>3</index>
 		<required>true</required>
 		<description>Base part of Distinguished Name that Metacat uses for authentication.</description>
 		<helpFile>docs/metacat-properties.html#auth-base</helpFile>
 	</config>
 
-	<config>
-		<key>auth.administrators</key>
-		<label>Metacat Administrators</label>
-		<group>1</group>
-		<index>5</index>
-		<required>true</required>
-		<description>Authentication users or groups for Metacat administration. 
-			Typically, this holds LDAP credentials.
-			&lt;font color="red"&gt; Note: this must be set to a username or
-			group that you belong to in order to continue with 
-			configuration&lt;/font&gt;.</description>
-		<helpFile>docs/metacat-properties.html#auth-administrators</helpFile>
-		<isRequired>true</isRequired>
-	</config>
 	
+	<!--  
 	<config>
 		<key>organization.user.unaffiliated</key>
 		<label>Client User Name</label>
-		<group>2</group>
+		<group>4</group>
 		<index>1</index>
 		<description>
 			The user name that Metacat will use when creating an authentication account or 
@@ -88,7 +114,7 @@
 	<config>
 		<key>organization.password.unaffiliated</key>
 		<label>Client Password</label>
-		<group>2</group>
+		<group>4</group>
 		<index>2</index>
 		<fieldType>password</fieldType>
 		<description>
@@ -96,6 +122,6 @@
 			changing a password.
 		</description>
 		<helpFile>docs/metacat-properties.html</helpFile>
-	</config>
+	</config>-->
 
 </metadataConfig>
\ No newline at end of file